<?php

namespace App\Jobs;

use App\Models\Task;
use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Notifications\TaskAssignedNotification;

class SendTaskNotification implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $task;
    protected $user;
    protected $assignedBy;
    
    public function __construct(Task $task, User $user, $assignedBy) 
    {
        $this->task=$task;
        $this->user=$user;
        $this->assignedBy=$assignedBy;
    }

    public function handle()
    {
        $this->user->notify(new TaskAssignedNotification($this->task, $this->assignedBy));
    }

}
